
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>静态路由可以胜任多网段之间进行通信 / iVAN</title>

    <meta name="description" content="静态路由可以胜任多网段之间进行通信 昨天,和朋友在机房讨论组网问题,当讨论到路由器间通信时,朋友问起为什么非要配置路由选择协议.以前一般是根据配置手册或者经验配置也没有仔细考虑过这个问题.想了想,应该是这样理解的(如下). 如果多个网段之间要实现通信,必须使用路由器,这个毫无疑问.如果多个网段之间存在多个可选择的路径,最方便的是采取配置路由选择协议的方法,简单点的网络可以采用RIP协议,如果是复杂的网络则可以采用OSPF.当然在选择的路径不多时也可以采用静态路由的方法. 但是,当多个网段之间只有一条路径时,那么仅仅是配置静态路由就">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">静态路由可以胜任多网段之间进行通信</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>昨天，和朋友在机房讨论组网问题，当讨论到路由器间通信时，朋友问起为什么非要配置路由选择协议。以前一般是根据配置手册或者经验配置也没有仔细考虑过这个问题。想了想，应该是这样理解的（如下）。</p>
<p>如果多个网段之间要实现通信，必须使用路由器，这个毫无疑问。如果多个网段之间存在多个可选择的路径，最方便的是采取配置路由选择协议的方法，简单点的网络可以采用RIP协议，如果是复杂的网络则可以采用OSPF。当然在选择的路径不多时也可以采用静态路由的方法。</p>
<p>但是，当多个网段之间只有一条路径时，那么仅仅是配置静态路由就足够了。如果是在企业中工作，那么往往配置简单的静态路由就足够了。</p>
<p>为了更有说服力和便于理解我用CPT（Cisco Packet Tracer）演示了一下。</p>
<p>拓扑图如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUowNDI1VzYtMC5wbmc=.jpg"></p>
<p>分别有四个网段，10.0.0.0/8、112.237.228.0/24、192.168.10.0/24、211.86.104.0/24。</p>
<p>静态路由设置如下：</p>
<pre>
ip route 192.168.10.0 255.255.255.0 112.237.228.1
ip route 211.86.104.0 255.255.255.0 112.237.228.1     

ip route 10.0.0.0 255.0.0.0 112.237.228.244
ip route 211.86.104.0 255.255.255.0 192.168.10.1     

ip route 112.237.228.0 255.255.255.0 192.168.10.2
ip route 10.0.0.0 255.0.0.0 192.168.10.2</pre>
<p>配置如下：</p>
<p>1.PC0的IP配置：</p>
<p>Packet Tracer PC Command Line 1.0 <br />
PC&gt;ipconfig</p>
<p>IP Address......................: 10.0.0.3 <br />
Subnet Mask.....................: 255.0.0.0 <br />
Default Gateway.................: 10.0.0.1</p>
<p>PC&gt;</p>
<p>2.PC1的IP配置：</p>
<p>Packet Tracer PC Command Line 1.0 <br />
PC&gt;ipconfig</p>
<p>IP Address......................: 211.86.104.52 <br />
Subnet Mask.....................: 255.255.255.0 <br />
Default Gateway.................: 211.86.104.254</p>
<p>PC&gt;</p>
<p>3.R1的配置：</p>
<pre>
Router&gt;enable
Router#configure terminal
Enter configuration commands, one per line.  End with CNTL/Z.
Router(config)#hostname R1
R1(config)#interface FastEthernet0/1
R1(config-if)#ip address 10.0.0.1 255.0.0.0
R1(config-if)#no shutdown     

%LINK-5-CHANGED: Interface FastEthernet0/1, changed state to up
R1(config-if)#end
R1#
%SYS-5-CONFIG_I: Configured from console by console     

R1#conf t
Enter configuration commands, one per line.  End with CNTL/Z.
R1(config)#int f0/0
R1(config-if)#ip addr 112.237.228.244 255.255.255.0
R1(config-if)#no shutdown     

%LINK-5-CHANGED: Interface FastEthernet0/0, changed state to up
R1(config-if)#end
R1#
%SYS-5-CONFIG_I: Configured from console by console     

R1#conf t
Enter configuration commands, one per line.  End with CNTL/Z.
R1(config)#ip route 192.168.10.0 255.255.255.0 112.237.228.1
R1(config)#ip route 211.86.104.0 255.255.255.0 112.237.228.1
R1(config)#end
R1#
%SYS-5-CONFIG_I: Configured from console by console     

R1#</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索静态<br />
                    ，                路由<br />
                    ，                配置<br />
                    ，                console<br />
                    ，                route<br />
                    ，                cisco packet tracer<br />
                                    网段<br />
                                    静态路由 跨网段访问、不同网段互通静态路由、不同网段 静态路由、不通网段静态路由设置、静态路由 跨网段，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 00:06:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%b7%af%e7%94%b1/" title="路由">路由</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e6%ae%b5/" title="网段">网段</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81/" title="静态">静态</a>, <a href="https://www.iamivan.net/tag/console/" title="console">console</a>, <a href="https://www.iamivan.net/tag/cisco-packet-tracer/" title="cisco packet tracer">cisco packet tracer</a>, <a href="https://www.iamivan.net/tag/route/" title="route">route</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>静态路由可以胜任多网段之间进行通信的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7YXaKM.html" rel="bookmark">静态路由也能胜任多网段之间进行通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/881922 昨天,和朋友在机房讨论组网问题,当讨论到路由器间通信时,朋友问起为什么非要配置路由选择协议.以前一般是根据配置手册或者经验配置也没有仔细考虑过这个问题.想了想,应该是这样理解的(如下). 如果多个网段之间要实现通信,必须使用路由器,这个毫无疑问.如果多个网段之间存在多个可选择的路径,最方便的是采取配置路由			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7PZlb.html" rel="bookmark">静态路由和直连网段重分发技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于协议转换器的问题我们已经说的非常多,同时也推动了路由技术的发展,如今,网络建设已经深入到行业内的各个分支,例如电力行业的农电信息网等等. 一般企业使用以太网交换机组网的情况主要分为两类,一是采用协议转换器把专线转成以太网接入交换机;二是直接租用裸光纤. 具体来讲,在三.四级网选择的三层交换机一般只能配置简单的动态路由协议.简单的策略路由.QoS和简单的访问控制等功能,而实际上这个位置对设备功能的需求并不止这些,使用以太网交换机组网需要注意以下问题. (1) 安全性 现在网上病毒越来越多,网络			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wNXPp.html" rel="bookmark">静态路由与默认路由的原理、区别和实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				静态路由 静态路由的概念 (1) 最为原始的配置路由方式,纯手工,易管理,但是耗时,一般用于小型企业或者中等偏下型企业 (2)静态路由的缺点是不能动态反映网络拓扑,当网络拓扑发生变化时,管理员必须手工改变路由表: (3)静态路由不会占用路由器太多的CPU和RAM资源,也不占用线路的带宽.如果出于安全的考虑想隐藏网络的某些部分或者管理员想控制数据转发路径,也会使用静态路由. (4)在一个小而简单的网络中,也常常使用静态路由,因为配置静态路由会更为简洁. 静态路由的配置: ip router 目的网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr31Pp.html" rel="bookmark">三层交换机间的静态路由配置应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				交换机划分Vlan后可以连接多个不同的网络.当然,网络中存在多个交换机互联时,要实现交换机间多个不同网络的通信,则要在交换机上配置路由协议.静态路由是指由网络管理员手工配置路由信息,当网络的拓扑结构或链路状态发生变化时,网络管理员需要手工修改路由表中相关的静态路由信息,这在大型和复杂的网络环境通常不宜采用静态理由,一方面网络管理员难以全面地了解整个网络的拓扑结构,另一方面,当网络的拓扑结构和链路状态发生变化时,路由器中的静态路由信息需要大范围的调整,这一工作的难度和复杂度非常高. 静态路由一般适			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91YQVM.html" rel="bookmark">静态路由实验题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验一:配置实现全网互通 配置静态路由实现全网互通. 三台路由器 R0 R1 R2 两两互连,每台路由器上都配置了 loopback地址模拟 网络环境 需求描述: 需要在三台路由器上配置静态路由,以实现 各网段之间的互通 在R0上路由配置 Router&gt;en Router#conf t Router(config)#inter fa0/0 Router(config-if)#ip address 192.168.1.2 255.255.255.0 Router(config-if)#no shu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOme5mM.html" rel="bookmark">用静态路由和ip forward打通虚拟机与其他宿主机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用静态路由和ip forward打通虚拟机与其他宿主机 作者 digoal 日期 2016-11-12 标签 ipforward , linux , kvm , bridge , iptables , route 背景 最近我在做一些测试,用到了虚拟机环境,如图,有多台物理机,其中有一台物理机安装了几个虚拟机. 物理机之间处于同一网段,可以相互通信. 虚拟机新开了一个网段. 现在的目标是把虚拟机和其他几个物理机的网络打通. 为了不依赖网络层的改动来实现虚拟机和其他物理机网络的打通. 需要用到宿主			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxjvomz.html" rel="bookmark">如何利用两个路由连接3个网段？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问:分别有三个网段,每个网段中包含有两台计算机.网段A中的IP地址段为10.0.0.2-10.0.0.2,网段B中的IP地址段为192.168.0.2-192.168.0.3,网段C中的IP地址段为172.168.0.2-172.168.0.3.现在需要将三个网段连接起来形成一个局域网.应该怎样操作?答:在中小型局域网中,可以在三个网段之间使用二台路由器连接.只需将&quot;网段C&quot;的地址告诉&quot;路由器A&quot;,并且将&quot;网段A&quot;的地址告诉&quot;路由器B&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba4aOJz.html" rel="bookmark">路由知识  静态路由 rip eigrp ospf</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 路由选择原理 1.1 几个概念 1.1.1 被动路由协议 用来在路由之间传递用户信息 1.1.2 主动路由协议 用于维护路由器的路由表 R2#show ip route Codes: C - connected, S - static, I - IGRP, R - RIP, M - mobile, B - BGP        D - EIGRP, EX - EIGRP external, O - OSPF, IA - OSPF inter area        N1 - OSPF N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mvw5Vp.html" rel="bookmark">华为NE40E静态路由的BFD检测配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				组网需求:两个系统之间的两对华为NE40E路由器通过光纤直连,两个系统之间的互联路由器运行静态路由器:当光纤链路出现单纤中断的时候,链路将出现单通的现象,静态路由无法自动收敛,将业务疏导到另一侧.需要解决单通导致网络无法自愈的问题. 解决方案:两个系统之间的互联路由器两两启用BFD会话,静态路由绑定BFD会话 具体配置:BFD会话两端路由器都必须实施以下配置 bfd                                路由器启用bfd功能 # bfd 1 bind peer-ip 10			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2V1rb.html" rel="bookmark" class="title">初学者入门经典：怎样使用Eclipse开发Jsp</a>
					<div>
						js|初学 Eclipse作为一个Java应用的IDE,使用非常方便,但是对于Jsp的开发支持还显得不够,在这里向大家推荐一个eclipse的plugins来协助JSP开发.这个名称叫lomboz,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEjjLM.html" rel="bookmark" class="title">新思路做另类垃圾站</a>
					<div>
						今天我根女朋友分手了!心里面很不舒服!想写点东西!也许能够带给你们一点启发.我是一个做站的新手.老手们绕道了!     前几天随便点了网站,发现了一个垃圾页面,草草的几个美女的图片,然后全部都是广告, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKVg6M.html" rel="bookmark" class="title">Cisco HSRP双机热备份的配置</a>
					<div>
						Cisco的热备份路由协议(HSRP)可以在工作站A的确省网关失效时提供一个备份路由器,HSRP可以创建一个具有虚拟MAC地址和虚拟IP地址的虚拟路由器. 假设有两个路由器Bluestudy A和Bl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxn5rb.html" rel="bookmark" class="title">java的卡片式对话框</a>
					<div>
						在本章的前部,向我们介绍了老式的CardLayout,并且注意到我们怎样去管理我们所有的卡片开关.有趣的是,有人现在认为这是一种不错的设计.幸运的是,Swing用JTabbedPane对它进行了修补, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxPL0b.html" rel="bookmark" class="title">ORACLE 4431215错误的处理</a>
					<div>
						今早一大早就到了公司,正想去享受美味早餐,出于职业反映去检查了下几个核心RAC数据库,居然发现其中一个RAC数据库的两个节点的ALERT日志均有错误,其中一个节点更是持续滚动输出,马上提起12分的精神 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jdo4b.html" rel="bookmark" class="title">ZBrush中ShadowBox建模流程</a>
					<div>
						  首先来初步了解一下ShadowBox建模的工作流程. 步骤一 双击LightBox&gt;Tool&gt;Dog.ZTL文件,在视图文档中调入狗的模型,如下图所示. 步骤二 单击Tool&gt;S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k90Rz.html" rel="bookmark" class="title">UC浏览器创意分享功能如何使用&quest;</a>
					<div>
						  最近UC浏览器又有了新的更新,增添了创意分享功能,可爱的表情加对话让分享更加有趣,接下来小编就教大家UC浏览器创意分享怎么用.希望可以帮到大家. 1)打开UC浏览器,找到你要分享的文章进入文章,点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo76QVb.html" rel="bookmark" class="title">Photoshop给美女加上朦胧的古典仿手绘效果</a>
					<div>
						仿手绘过程并不复杂,关键是自己要掌握一套有效的方法,从磨皮,五官处理到发丝绘制等.每一个环节都需要多加练习,直到运用自如为止,这样才可以做出非常惊艳的效果. photoshop教程原图 最终效果 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3vR4p.html" rel="bookmark" class="title">PS创建激烈昂扬的小提琴浴火天使</a>
					<div>
						  编者按:在这个教程里,使用的素材非常多,效果也很惊艳,同学们练手之余,可以学习如何利用不同的素材,通过调色.蒙版等技巧,营造出想要的氛围. 在这个教程中,我们将用PS创造一个&quot;浴火天使& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwv4ep.html" rel="bookmark" class="title">笔记本无线网络连接不上需要怎么设置</a>
					<div>
						  问题描述:我的笔记本电脑之前一直使用无线路由器上的网,网速和稳定性都非常不错,不过因为一段时间工作忙,有一段时间没有上网了,今天打开电脑发现无线路由搜索不到信号了,右下角的显示一个那种我们常见的红 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJakOp.html" rel="bookmark" class="title">工业的4&period;0时代</a>
					<div>
						一个新时代的到来 工业40时代世界不再是你过去所知道的那样 什么是工业40 工业40时代具有哪些核心特征 网络化 智能化 去中心化 个性化 工业40的愿景 0带给我们的冲击 随着个人电脑向智能设备演变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6exwJb.html" rel="bookmark" class="title">link环境下制作一款《订餐软件》，请问我想实现门店的记账统计功能，怎么构思？</a>
					<div>
						问题描述 link环境下制作一款&lt;订餐软件&gt;,请问我想实现门店的记账统计功能,怎么构思? link环境下制作一款&lt;订餐软件&gt;,请问我想实现门店的记账统计功能,怎么构思? 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGVDWp.html" rel="bookmark" class="title">在X分钟内学会C&num;的入门简明教程&lowbar;java</a>
					<div>
						复制代码 代码如下: // 单行注释以 // 开始/*多行注释是这样的*//// &lt;summary&gt;/// XML文档注释/// &lt;/summary&gt; // 声明应用用到的命名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwPZ4M.html" rel="bookmark" class="title">JavaScript 保存数组到Cookie的代码&lowbar;javascript技巧</a>
					<div>
						JavaScript中数组是无法直接保存为Cookie的(PHP可以),那要将数组转存为字符串,再保存在Cookie中,简单的一维数组我们直接用toString()或者join就可以了: JavaSc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVA06b.html" rel="bookmark" class="title">extjs4&period;2&plus;kindeditor无法保存html格式求指教</a>
					<div>
						问题描述 extjs4.2+kindeditor无法保存html格式求指教 扩展 Ext.define('WMC.common.view.ExtKindEditor', { extend: 'Ext. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b327Gkz.html" rel="bookmark" class="title">&period;net-&period;NETFramework 1&period;0 升级到4&period;0 无法找到rpt报表</a>
					<div>
						问题描述 .NETFramework 1.0 升级到4.0 无法找到rpt报表 之前是用的vs 2003 ,framework 1.0 rpt 报表没有问题但是升级到vs2010 后 framewor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWL1dz.html" rel="bookmark" class="title">修改内容-C语言修改文件中某一行</a>
					<div>
						问题描述 C语言修改文件中某一行 RT,在vc2010下,做的学生管理系统.没有采用链表. 已经找到所要修改的行,并且修改成功,在内存中已经看到修改后的结果,并用fflush写回文件. 但是文件就是没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlWjmp.html" rel="bookmark" class="title">tomcat异常-eclipse运行时tomcat报出下列的异常是什么原因</a>
					<div>
						问题描述 eclipse运行时tomcat报出下列的异常是什么原因 java.lang.ExceptionInInitializerError at org.apache.catalina.start ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEB7nM.html" rel="bookmark" class="title">enum-java 枚举类型怎么输出</a>
					<div>
						问题描述 java 枚举类型怎么输出 public enum Weather{ Sunny,Rainy,Cloudy} public String toString(){ return ; //这里怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60ZkYz.html" rel="bookmark" class="title">Creating custom data graphics in Visio</a>
					<div>
						Creating custom data graphics in Visio https://blogs.office.com/2014/06/30/creating-custom-data-grap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEvnQM.html" rel="bookmark" class="title">datagridview-在C&num;中可以实现以下功能吗？具体代码怎么实现，需要添加什么引用吗？</a>
					<div>
						问题描述 在C#中可以实现以下功能吗?具体代码怎么实现,需要添加什么引用吗? 在datagridview中显示出数据表后,1)选中某一行,再按&quot;删除选中&quot;按钮删除的代码怎么写? 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodE0dM.html" rel="bookmark" class="title">java-io流中用File创建了文件，为什么不能读出呢</a>
					<div>
						问题描述 io流中用File创建了文件,为什么不能读出呢 在java的io流中.使用File去new了一个原本没有的文件,然后加入内容,但是为什么文件没有 解决方案 就是结果显示问在存在,但是lala ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myeo25M.html" rel="bookmark" class="title">android-app的标题栏不想要默认图标</a>
					<div>
						问题描述 app的标题栏不想要默认图标 求人解答啊.不是不要标题栏,而是不要文字前面默认的图标,文字是要的.如果删除启动的android:icon以后,app的封面也没有了.. 解决方案 action ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWPX2z.html" rel="bookmark" class="title">Java常用类库--Arrays、比较器（comparable、Comparator）</a>
					<div>
						1.Arrays类 Arrays表示数组的操作类,直接定义在java.util包中 import java.util.* ; public class ArraysDemo{ public stati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jZxVp.html" rel="bookmark" class="title">中银保险有限公司信科部电子商务室 - 招聘程序开发人员</a>
					<div>
						问题描述 中银保险有限公司信科部电子商务室-招聘程序开发人员公司介绍:http://www.bocins.com职责:1.负责电子商务应用的开发维护工作:2.参与业务流程的讨论.需求的整理.系统的咨询 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkakOp.html" rel="bookmark" class="title">vc中的标准打开文件对话框问题？</a>
					<div>
						问题描述 VC中的标准打开文件对话框中,文件类型选项里面有一个&quot;所有文件(*.*)&quot;,怎样把它去掉? 解决方案 解决方案二:CStringfilePath;CFileDialogd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdkYeb.html" rel="bookmark" class="title">洛奇英雄传万圣节特别篇上演</a>
					<div>
						过去一向平和的洛奇英雄传即将迎来一片腥风血雨--万圣节特别篇上演.吸血鬼灾难般的闯入某人的家中,离开时留下的只有深深的牙印.虽然这一切听上去是有些恐怖,不过他们都是带着南瓜头套的. 节日期间,为玩家还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Yk9Np.html" rel="bookmark" class="title">Delphi实现毫秒级别的倒计时实例代码&lowbar;Delphi</a>
					<div>
						本文以实例简述了Delphi实现毫秒级别倒计时的方法.一般来说可以获得系统的高性能频率计数器在一毫秒内的震动次数,如果时钟震动次数超过10毫秒的次数则刷新edit3的显示,显示从开始记数到记数实际经过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqYq3p.html" rel="bookmark" class="title">加拿大媒体称政府不会阻止爱立信购北电</a>
					<div>
						新快报讯 据&lt;加拿大环球邮报&gt;报道,加拿大政府不太可能反对北电网络以11.3亿美元的价格将无线资产售予爱立信. 报道称,加拿大政府正以资产负债表上的资产价格评估该交易,北电网络表示待售资产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenG90b.html" rel="bookmark" class="title">&lpar;NO&period;00001&rpar;iOS游戏SpeedBoy Lite成形记&lpar;七&rpar;</a>
					<div>
						因为我们之前在GameScene中建立的2个数组,分别为player和label的数组.大家可以注意到其中每个元素是一一对应的. 知道了这层关系,我们尝试来更新matchRun方法: CCAction ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
